//
//  NodeTriangle.hpp
//  node_parent
//
//  Created by Reza Ghobadinic on 2019-03-18.
//

#ifndef NodeTriangle_hpp
#define NodeTriangle_hpp

#include "cocos2d.h"

using namespace cocos2d;

class NodeTriangle : public Node
{
    bool  m_isDrawn;        // Make sure to draw once
    
public:
    
    static Node* createNode();
    
    virtual bool init();
    virtual void draw(Renderer* renderer, const Mat4& transform, uint32_t flags);
    
    CREATE_FUNC(NodeTriangle);
};

#endif /* NodeTriangle_hpp */
